Hashtbl.MakeSeeded(3)

NAME
Hashtbl.MakeSeeded - Functor building an implementation of the hashtable structure.

Module
Module Hashtbl.MakeSeeded

Documentation

Module MakeSeeded
 : functor (H : SeededHashedType) -> sig end

Functor building an implementation of the hashtable structure. The functor Hashtbl.MakeSeeded returns a structure containing a type key of keys and a type 'a t of hash tables associating data of type 'a to keys of type key . The operations perform similarly to those of the generic interface, but use the seeded hashing and equality functions specified in the functor argument H instead of generic equality and hashing. The create operation of the result structure supports the ~random optional parameter and returns randomized hash tables if ~random:true is passed or if randomization is globally on (see Hashtbl.randomize ).

Since 4.00.0

Parameters:

"H" Hashtbl.SeededHashedType

type key

type 'a t

val create : ?random:bool -> int -> 'a t

val clear : 'a t -> unit

val reset : 'a t -> unit

val copy : 'a t -> 'a t

val add : 'a t -> key -> 'a -> unit

val remove : 'a t -> key -> unit

val find : 'a t -> key -> 'a

val find_all : 'a t -> key -> 'a list

val replace : 'a t -> key -> 'a -> unit

val mem : 'a t -> key -> bool

val iter : (key -> 'a -> unit) -> 'a t -> unit

val filter_map_inplace : (key -> 'a -> 'a option) -> 'a t -> unit

val fold : (key -> 'a -> 'b -> 'b) -> 'a t -> 'b -> 'b

val length : 'a t -> int

val stats : 'a t -> Hashtbl.statistics